package co.yixiang.yshop.module.mp.service.customerservice;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import co.yixiang.yshop.framework.common.pojo.PageResult;
import co.yixiang.yshop.module.mp.controller.admin.customerservice.vo.CustomerServiceVO;
import co.yixiang.yshop.module.mp.dal.dataobject.customerservice.CustomerServiceDO;
import me.chanjar.weixin.cp.bean.kf.WxCpKfAccountAdd;
import me.chanjar.weixin.cp.bean.kf.WxCpKfAccountAddResp;
import me.chanjar.weixin.cp.bean.kf.WxCpKfAccountDel;
import me.chanjar.weixin.cp.bean.kf.WxCpKfAccountUpd;

import java.util.List;

/**
 * @author pepis
 * @apiNote
 **/
public interface CustomerServiceService {
    PageResult<CustomerServiceVO> page(PageParam pageParam);

    WxCpKfAccountAddResp save(WxCpKfAccountAdd add);

    void update(WxCpKfAccountUpd upd);

    void delete(WxCpKfAccountDel del);

    List<CustomerServiceDO> list();
}

